#112153 Report by node budvar covering 1968 tests from 49 modules resulted into 7 errors

Report

ObsPy version
1.2.2
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
266.7 sec
Report date/time
2020-10-16 14:05:07

System / Python

Architecture
64bit
Machine
x86_64
Node
budvar
Processor
i386
Python Compiler
Clang 10.0.1 (clang-1001.0.46.4)
Python Implementation
CPython
Python Version
3.8.6
Release
18.7.0
System
Darwin
Version
Darwin Kernel Version 18.7.0: Thu Jun 18 20:50:10 PDT 2020; root:xnu-4903.278.43~1/RELEASE_X86_64

Dependencies

cartopy
0.17.0
decorator
4.4.2
flake8
3.8.3
future
0.18.2
geographiclib
1.50
lxml.etree
4.4.1
m2crypto
---
matplotlib
3.3.0
mock
4.0.2
mpl_toolkits.basemap
---
numpy
1.19.2
pep8-naming
0.9.1
pyflakes
2.2.0
pyimgur
---
pyproj
---
requests
2.24.0
scipy
1.5.2
setuptools
50.3.0
shapefile
2.1.0
sqlalchemy
1.3.20

Modules (49)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 3 1 2 3
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 4 4 5 6 7
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 7 7

Tracebacks (7)

Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 720, in test__get_leap_seconds_file
open(test_file, 'a').close()
PermissionError: [Errno 13] Permission denied: '/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1145, in download_leap_seconds_file
with open(file_path, "w") as fh:
PermissionError: [Errno 13] Permission denied: '/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 668, in test_download_leap_seconds_file
file_path = indexer.download_leap_seconds_file(test_file)
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1148, in download_leap_seconds_file
raise OSError("Failed to create leap seconds file at {} due to {}."
OSError: Failed to create leap seconds file at /opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list due to [Errno 13] Permission denied: '/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'.
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1145, in download_leap_seconds_file
with open(file_path, "w") as fh:
PermissionError: [Errno 13] Permission denied: '/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 684, in test_download_leap_seconds_file_no_path_given
file_path = indexer.download_leap_seconds_file()
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1148, in download_leap_seconds_file
raise OSError("Failed to create leap seconds file at {} due to {}."
OSError: Failed to create leap seconds file at /opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list due to [Errno 13] Permission denied: '/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'.
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.trace.Trace.times
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/core/trace.py", line 2487, in times
----------------------------------------------------------------------
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/core/trace.py", line 2529, in obspy.core.trace.Trace.times
Failed example:
tr.times("matplotlib")
Expected:
array([ 733643.01392361, 733643.01392373, 733643.01392384, ...,
733643.01427049, 733643.0142706 , 733643.01427072])
Got:
array([ 14480.01392361, 14480.01392373, 14480.01392384, ...,
14480.01427049, 14480.0142706 , 14480.01427072])
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.utcdatetime.UTCDateTime.matplotlib_date
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/core/utcdatetime.py", line unknown line number, in matplotlib_date
----------------------------------------------------------------------
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/core/utcdatetime.py", line ?, in obspy.core.utcdatetime.UTCDateTime.matplotlib_date
Failed example:
t.matplotlib_date
Expected:
733643.0139780092
Got:
14480.01397800926
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/core/tests/test_utcdatetime.py", line 1092, in test_matplotlib_date
np.testing.assert_almost_equal(
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 595, in assert_almost_equal
raise AssertionError(_build_err_msg())
AssertionError:
Arrays are not almost equal to 8 decimals
ACTUAL: 5965.5723676839116
DESIRED: 725128.5723676839
Traceback (most recent call last):
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/obspy/core/tests/test_trace.py", line 1448, in test_times
np.testing.assert_allclose(got[:5], expected, rtol=1e-17)
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 1527, in assert_allclose
assert_array_compare(compare, actual, desired, err_msg=str(err_msg),
File "/opt/local/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 840, in assert_array_compare
raise AssertionError(msg)
AssertionError:
Not equal to tolerance rtol=1e-17, atol=0
Mismatched elements: 5 / 5 (100%)
Max absolute difference: 719163.0
Max relative difference: 0.9849928778830878
x: array([ 10957. , 10957.000001, 10957.000001, 10957.000002,
10957.000002])
y: array([ 730120. , 730120.000001, 730120.000001, 730120.000002,
730120.000002])

Skipped tests (21)

Submodule Test Skip message
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.nlloc test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase) pyproj not installed
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest tests (20)

Runtime Test
34.202s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
34.174s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
34.061s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
12.205s test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase)
8.039s test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase)
5.407s __init__ (obspy.taup)
4.754s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
4.117s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.810s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.142s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
2.501s plot_travel_times (obspy.taup.tau)
2.432s test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase)
2.389s test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase)
2.370s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.276s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
2.272s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.247s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
2.225s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
2.150s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.094s test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase)

Chuck Norris fact

For Chuck Norris, NP-Hard = O(1).